> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Deliveries Log

> Paginated list of delivery attempts made across all webhooks. Supports optional filtering by `webhook_id` and `event_id`.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /webhooks/deliveries
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /webhooks/deliveries:
    get:
      tags:
        - Webhooks
      summary: List All Deliveries Log
      description: >-
        Paginated list of delivery attempts made across all webhooks. Supports
        optional filtering by `webhook_id` and `event_id`.
      operationId: list-webhook-logs
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/searchKeyword'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/columnBasedFilters'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      logs:
                        type: array
                        items:
                          $ref: '#/components/schemas/WebhookDeliveryLog'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    required:
                      - logs
                      - pagination
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
  schemas:
    WebhookDeliveryLog:
      title: WebhookDeliveryLog
      type: object
      required:
        - delivery_id
        - event_id
        - webhook_id
        - webhook_name
        - endpoint
        - event
        - timestamp
        - retry_attempt
        - next_retry_at
        - status
        - response_code
        - duration_ms
        - error_message
        - is_test
      properties:
        delivery_id:
          description: The unique delivery_id for the Webhook delivery attempt
          type: string
          readOnly: true
        event_id:
          description: >-
            The unique id for that event. Shared across all delivery attempts of
            the same event.
          type: string
          readOnly: true
        webhook_id:
          type: string
        webhook_name:
          type: string
        endpoint:
          type: string
        event:
          type: string
        timestamp:
          type: string
          format: date-time
        retry_attempt:
          type: integer
        next_retry_at:
          type:
            - string
            - 'null'
          format: date-time
        status:
          type: string
          enum:
            - success
            - failed
        response_code:
          type: integer
        duration_ms:
          type: integer
        error_message:
          type:
            - string
            - 'null'
        is_test:
          type: boolean
      x-tags:
        - Webhooks
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````